Bug 608300 - intel [Ironlake/GM45] Black screen with embedded Displayport (Dell Latitude E6510 and others)
intel [Ironlake/GM45] Black screen with embedded Displayport (Dell Latitude E...
Status: RESOLVED WORKSFORME
Classification: openSUSE
Product: openSUSE 11.3
Classification: openSUSE
Component: X.Org
Milestone 7
x86-64 openSUSE 11.3
: P3 - Medium : Critical (vote)
: ---
Assigned To: Takashi Iwai
E-mail List
maint:released:11.3:35403
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 14:43 UTC by Stephan Binner
Modified: 2010-09-30 09:05 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
coolo: SHIP_STOPPER-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Binner 2010-05-24 14:43:06 UTC
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; de; rv:1.9.2.4) Gecko/20100513 Firefox/3.6.4

Installation 1st stage stalls at black screen with Intel GMA HD unless "nomodeset" is given as additional parameter at install screen.

00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02)

09: PCI 02.0: 0300 VGA compatible controller (VGA)
  [Created at pci.318]
  Unique ID: _Znp.SIzlthkNUC1
  SysFS ID: /devices/pci0000:00/0000:00:02.0
  SysFS BusID: 0000:00:02.0
  Hardware Class: graphics card
  Model: "Intel Arrandale Integrated Graphics Controller"
  Vendor: pci 0x8086 "Intel Corporation"
  Device: pci 0x0046 "Arrandale Integrated Graphics Controller"
  SubVendor: pci 0x1028 "Dell"
  SubDevice: pci 0x040b 
  Revision: 0x02
  Memory Range: 0xf0000000-0xf03fffff (rw,non-prefetchable)
  Memory Range: 0xe0000000-0xefffffff (ro,non-prefetchable)
  I/O Ports: 0x70b0-0x70b7 (rw)
  IRQ: 30 (no events)
  I/O Ports: 0x3c0-0x3df (rw)
  Module Alias: "pci:v00008086d00000046sv00001028sd0000040Bbc03sc00i00"
  Driver Info #0:
    Driver Status: i915 is active
  Driver Activation Cmd: "modprobe i915"
  Config Status: cfg=new, avail=yes, need=no, active=unknown
  Primary display adapter: #9


Reproducible: Always

Steps to Reproduce:
1. Start "Installation" from DVD
Comment 1 Lukas Ocilka 2010-05-26 07:14:13 UTC
Not related to installation framework, reassigning.
Comment 2 Stefan Dirsch 2010-05-26 07:32:33 UTC
Weird. I mean we still use fbdev for installation. Which laptop is this?
Comment 3 Ryan Krenzischek 2010-05-26 20:56:13 UTC
(In reply to comment #2)
> Weird. I mean we still use fbdev for installation. Which laptop is this?

I have the exact same problem with my laptop as well.  It is a Lenovo T400.  It has the Intel Mobile 4 Series Chipset.  The workaround of using 'nomodeset' works to get the installation completed.  However, after installation, that kernel boot parameter is no longer required.

This issue is present on the x86-64 11.3 M6 and M7 DVD.

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07) (prog-if 00 [VGA controller])
        Subsystem: Lenovo Device 2113
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 32
        Region 0: Memory at fc000000 (64-bit, non-prefetchable) [size=4M]
        Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Region 4: I/O ports at 1800 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
                Address: fee0100c  Data: 41c9
        Capabilities: [d0] Power Management version 3
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Comment 4 Stefan Dirsch 2010-05-26 23:57:21 UTC
(In reply to comment #3)
> I have the exact same problem with my laptop as well.  It is a Lenovo T400.  It
> has the Intel Mobile 4 Series Chipset.  The workaround of using 'nomodeset'
> works to get the installation completed.  However, after installation, that
> kernel boot parameter is no longer required.

Reason might be, that the manually added kernel boot parameter from installation
is automatically added to the boot parameters of installed system. You can see this in 'cat /proc/cmdline'. But this would also mean that you're now using "fbdev" (or in the meantime the "intellegacy") graphics driver. Check 
/var/log/Xorg.0.log.
Comment 5 Stephan Binner 2010-05-27 06:10:45 UTC
In my case it's a Dell Latitude E6510.
Comment 6 Stefan Dirsch 2010-05-28 22:04:51 UTC
I don't see this issue with 11.3 M7 DVD on a Ironlake-based Lenovo T410. As assumed for installation fbdev driver is used. Thus I don't see why option 'nomodeset' should help anything here. I'm doing an installation right now.
Comment 7 Stefan Dirsch 2010-05-28 22:32:41 UTC
(In reply to comment #6)
> I don't see this issue with 11.3 M7 DVD on a Ironlake-based Lenovo T410. As
> assumed for installation fbdev driver is used. Thus I don't see why option
> 'nomodeset' should help anything here. I'm doing an installation right now.

Installation worked perfectly. intel driver is running fine after installation. No problems during installation with fbdev diver.
Comment 8 Stephan Binner 2010-06-22 11:37:22 UTC
With openSUSE 11.3 Release Candidate 1 "nomodeset" is still required (and leading to low resolution fbdev usage) for 2nd installation stage/installed state.
Comment 9 Stefan Dirsch 2010-06-22 12:05:11 UTC
Ryan, what's your experience with openSUSE 11.3 RC1?
Comment 10 Stephan Binner 2010-06-22 13:11:21 UTC
"XServer does not display on Intel HD and resolution 1920x1080 (Dell Latitude E6510)" @ https://qa.mandriva.com/show_bug.cgi?id=59430
Comment 11 Stephan Binner 2010-06-23 07:42:10 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=572799 is also about Core i7/Intel HD Graphics and black screen - with a patch.
Comment 12 Stephan Binner 2010-06-23 13:34:35 UTC
Applying (only) this patch to Factory Kernel or Kernel:HEAD doesn't seem to fix the problem. :-(
Comment 13 Stefan Dirsch 2010-06-25 02:52:48 UTC
Known issue of Intel 2010Q2 release:

  http://intellinuxgraphics.org/2010Q2.html

  [...]
  Some eDP panels doesn't work on some Calpella/Arrandale laptops: bug#28224.

I wasn't aware at all that E6510 uses embedded Displayport ...
Comment 14 Stefan Dirsch 2010-06-25 08:10:45 UTC
Stephan, please try this patch:

  http://lists.freedesktop.org/archives/intel-gfx/2010-June/007216.html
Comment 15 Stephan Binner 2010-06-25 19:28:58 UTC
Yes! This fixes my problem. :-)

--- a/drivers/gpu/drm/i915/intel_dp.c   2010/06/25 18:33:48     1.1
+++ b/drivers/gpu/drm/i915/intel_dp.c   2010/06/25 18:35:07
@@ -132,7 +132,7 @@
        struct drm_i915_private *dev_priv = dev->dev_private;

        if (IS_eDP(intel_encoder))
-               return (pixel_clock * dev_priv->edp_bpp) / 8;
+               return (pixel_clock * ALIGN(dev_priv->edp_bpp, 8)) / 8;
        else
                return pixel_clock * 3;
 }
Comment 16 Stefan Dirsch 2010-06-25 19:48:28 UTC
Greg, any chance to apply this patch still for openSUSE 11.3 RC2/RC3? Apparently a lot of laptops with Ironlake and embedded Displayport (instead of LVDS) are affected by this. :-( I know it's not pushed upstream yet ...
Comment 17 Greg Kroah-Hartman 2010-06-25 20:08:45 UTC
Nope, I need it accepted upstream before I can take it, you know that :)
Comment 19 Stephan Kulow 2010-06-28 19:43:21 UTC
sounds hardware specific to me - and a work around is provided. I would still think we should take such patches in the RC phase :(
Comment 20 Jeff Mahoney 2010-06-28 19:53:07 UTC
Stephan, once the patch is agreed upon then we can work with it. The thread Stefan linked to indicates that it breaks other hardware. We're just going to have to wait on this one.
Comment 21 Takashi Iwai 2010-07-06 14:45:39 UTC
I committed the upstream fix patch (landed in 2.6.35-rc4) now to kernel git tree openSUSE-11.3 branch.

(The same patch is backported to SLE11-SP1, as in bug 598308)
Comment 22 Stefan Dirsch 2010-07-06 14:53:00 UTC
Thanks Takashi. That means that we're going to have a fix either for 11.3 >= RC3 or at least with the first kernel update for 11.3.
Comment 23 Sami Lehtinen 2010-07-15 07:04:28 UTC
I confirm that patch applied to OBS kernel-pae-2.6.35-rc4.8.1.i586.rpm with Opensuse 11.3 fixed the problem.

Hardware is HP 8440p with Intel GMA HD.
Comment 24 Sami Lehtinen 2010-07-15 07:33:39 UTC
There's still this problem with external monitor (freezes): https://bugs.freedesktop.org/show_bug.cgi?id=28911

Should a bug be filed against opensuse 11.3 as well?
Comment 25 Stefan Dirsch 2010-07-15 08:18:15 UTC
(In reply to comment #24)
> There's still this problem with external monitor (freezes):
> https://bugs.freedesktop.org/show_bug.cgi?id=28911
> 
> Should a bug be filed against opensuse 11.3 as well?

So you can reproduce that one?
Comment 26 Sami Lehtinen 2010-07-15 08:42:53 UTC
(In reply to comment #25)
> (In reply to comment #24)
> > There's still this problem with external monitor (freezes):
> > https://bugs.freedesktop.org/show_bug.cgi?id=28911
> > 
> > Should a bug be filed against opensuse 11.3 as well?
> 
> So you can reproduce that one?

Yes, with HP 8440p with Intel GMA HD and Opensuse 11.3 + OBS kernel-pae-2.6.35-rc4.8.1.i586.rpm.
Comment 27 Stefan Dirsch 2010-07-15 08:49:54 UTC
(In reply to comment #26)
> > So you can reproduce that one?
> 
> Yes, with HP 8440p with Intel GMA HD and Opensuse 11.3 + OBS
> kernel-pae-2.6.35-rc4.8.1.i586.rpm.

Ok. Could you watch the upstream bug and let me know once a solution has been found? Thanks.
Comment 28 Sami Lehtinen 2010-08-16 12:39:13 UTC
(In reply to comment #27)
> (In reply to comment #26)
> > > So you can reproduce that one?
> > 
> > Yes, with HP 8440p with Intel GMA HD and Opensuse 11.3 + OBS
> > kernel-pae-2.6.35-rc4.8.1.i586.rpm.
> 
> Ok. Could you watch the upstream bug and let me know once a solution has been
> found? Thanks.

Hi Stephan,

upstream bug is now closed as FIXED...

https://bugs.freedesktop.org/show_bug.cgi?id=28911
Comment 29 Swamp Workflow Management 2010-08-24 15:23:01 UTC
The SWAMPID for this issue is 35398.
This issue was rated as moderate.
Please submit fixed packages until 2010-09-07.
When done, please reassign the bug to security-team@suse.de.
Patchinfo will be handled by security team.
Comment 30 Swamp Workflow Management 2010-09-08 13:08:27 UTC
Update released for: kernel-debug, kernel-debug-base, kernel-debug-base-debuginfo, kernel-debug-debuginfo, kernel-debug-debugsource, kernel-debug-devel, kernel-debug-devel-debuginfo, kernel-default, kernel-default-base, kernel-default-base-debuginfo, kernel-default-debuginfo, kernel-default-debugsource, kernel-default-devel, kernel-default-devel-debuginfo, kernel-desktop, kernel-desktop-base, kernel-desktop-base-debuginfo, kernel-desktop-debuginfo, kernel-desktop-debugsource, kernel-desktop-devel, kernel-desktop-devel-debuginfo, kernel-devel, kernel-ec2-devel, kernel-pae, kernel-pae-base, kernel-pae-base-debuginfo, kernel-pae-debuginfo, kernel-pae-debugsource, kernel-pae-devel, kernel-pae-devel-debuginfo, kernel-source, kernel-source-vanilla, kernel-syms, kernel-trace, kernel-trace-base, kernel-trace-base-debuginfo, kernel-trace-debuginfo, kernel-trace-debugsource, kernel-trace-devel, kernel-trace-devel-debuginfo, kernel-vanilla, kernel-vanilla-base, kernel-vanilla-base-debuginfo, kernel-vanilla-debuginfo, kernel-vanilla-debugsource, kernel-vanilla-devel, kernel-vanilla-devel-debuginfo, kernel-vmi-devel, kernel-xen, kernel-xen-base, kernel-xen-base-debuginfo, kernel-xen-debuginfo, kernel-xen-debugsource, kernel-xen-devel, kernel-xen-devel-debuginfo, preload-kmp-default, preload-kmp-desktop
Products:
openSUSE 11.3 (debug, i586, x86_64)
Comment 31 Stephan Binner 2010-09-11 09:24:03 UTC
With the 2.6.34.4 security update the problem does still exist. Unfortunately applying the patch from comment 15 does not fix it anymore. :-(
Comment 32 Stefan Dirsch 2010-09-11 09:58:08 UTC
-------------------------------------------------------------------
Tue Jul  6 15:11:01 CEST 2010 - tiwai@suse.de

- patches.drivers/i915-fix-ironlake-edp-panel-setup-v4: i915:
  fix ironlake edp panel setup (v4) (bnc#608300).

Takashi, I'm afraid we need to look at this again. We still have the eDP machines for testing around.
Comment 33 Stefan Dirsch 2010-09-11 10:01:09 UTC
Hmm. The patch vanished later again ...

Sat Aug 14 00:31:12 CEST 2010 - gregkh@suse.de

- Update to 2.6.34.4
  - security fixes
  - bug fixes
  - obsoletes:
    - patches.drivers/i915-fix-ironlake-edp-panel-setup-v4
    - patches.drivers/pci-disable-msi-on-K8M800
    - patches.fixes/nozomi-fix-tty-count.patch
    - patches.fixes/nozomi-set-tty-driver_data.patch
Comment 34 Stefan Dirsch 2010-09-14 16:05:41 UTC
eDP works for me with 2.6.34.4 kernel update on a HP Omega machine (some Elitebook laptop). Checking now Swatch (EliteBook 2540p).
Comment 35 Stefan Dirsch 2010-09-15 08:47:09 UTC
(In reply to comment #34)
> eDP works for me with 2.6.34.4 kernel update on a HP Omega machine (some
> Elitebook laptop). Checking now Swatch (EliteBook 2540p).

Same results. ==> Works for me. (these both are the only eDP machines we have for testing available)
Comment 36 Peter Miller 2010-09-28 20:42:59 UTC
When I installed SUSE 11.3 on my notebook DELL E6510 (Intel Ironlake) it worked without problems.
After installing the latest kernel via online update to 2.6.34.7-0.3.1 I get a blank screen after booting unless I use the option nomodeset.
Is it possible that the patch disappeared again in a newer kernel release?
Comment 37 Stefan Dirsch 2010-09-28 21:44:57 UTC
(In reply to comment #36)
> When I installed SUSE 11.3 on my notebook DELL E6510 (Intel Ironlake) it worked
> without problems.
> After installing the latest kernel via online update to 2.6.34.7-0.3.1 I get a
> blank screen after booting unless I use the option nomodeset.
> Is it possible that the patch disappeared again in a newer kernel release?

It's the other way round. eDP support has been fixed with the kernel update. See my previous comments.
Comment 38 Peter Miller 2010-09-29 06:06:22 UTC
Ok, I reinstalled the original kernel and re-did the update to the latest kernel, the problem is only there with the new kernel 2.6.34.7-0.3.1 (blank screen unless I use the nomodeset option). Should I switch back to the old kernel and report the bug as a new bug? This thread seemed to have the best matching error description (Dell E6510) that I could find so far.
Any information that I could get that would help?
Comment 39 Stefan Dirsch 2010-09-29 07:29:37 UTC
Peter, apparently your problem is different from the one the original reporter had. binner needed a patch to get eDP working with the original 11.3 kernel, whereas the original kernel works for your laptop without any patch.

Hence I suggest to file a seperate bugreport against kernel component marking
it as a regression.

As said before we don't have any Dell Latitude E6510 for testing available. Our
eDP laptops we currently have work fine with the 11.3 kernel updates. Actually
eDP has been fixed for them with the update kernels. We saw the black screen
only with the original kernel.
Comment 40 Stefan Dirsch 2010-09-30 09:05:51 UTC
(In reply to comment #39)
> Hence I suggest to file a seperate bugreport against kernel component marking
> it as a regression.

https://bugzilla.novell.com/show_bug.cgi?id=642654